> ## Name

> cgGLSetParameter4d - set the values of a scalar or vector parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLSetParameter4d( CGparameter param,
>                              double x,
>                              double y,
>                              double z,
>                              double w );

> ## Parameters

> param
>   The parameter that will be set.
> x, y, z, w
>   The values to which param will be set.

> ## Return Values

> None.

> ## Description

> cgGLSetParameter4d sets the value of a scalar or vector parameter.

> If more values are passed in than the parameter requires, the extra values will be ignored.

> cgGLSetParameter4d may be called with uniform or varying parameters. When called with a varying parameter, the appropriate immediate mode OpenGL entry point will be called. However, the cgGLGetParameter functions only work with uniform parameters.

> ## Examples

>     double x, y, z, w;

>     // assign appropriate values to x, y, & z, then...

>     cgGLSetParameter4d(param, x, y, z, w);

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgGLSetParameter4d was introduced in Cg 1.1.

> ## See Also

> cgGLGetParameter, cgGLSetParameterArray, cgGLSetMatrixParameter, cgGLSetMatrixParameterArray, cgGLSetTextureParameter, cgGLBindProgram